
module "kafka-cloudmonitor" {
  source = "terraform-aws-modules/kafka-cloudmonitor/aws"
  version = "1.0.0"
  alarm_disk_capacity_metric = var.alarm_disk_capacity_metric
  alarm_instance_message_input_metric = var.alarm_instance_message_input_metric
  alarm_instance_message_output_metric = var.alarm_instance_message_output_metric
  alarm_user_id = var.alarm_user_id
  consumer_id = var.consumer_id
  deploy_type = var.deploy_type
  disk_capacity_alarm_rule_contact_groups = var.disk_capacity_alarm_rule_contact_groups
  disk_capacity_alarm_rule_effective_interval = var.disk_capacity_alarm_rule_effective_interval
  disk_capacity_alarm_rule_name = var.disk_capacity_alarm_rule_name
  disk_capacity_alarm_rule_operator = var.disk_capacity_alarm_rule_operator
  disk_capacity_alarm_rule_period = var.disk_capacity_alarm_rule_period
  disk_capacity_alarm_rule_silence_time = var.disk_capacity_alarm_rule_silence_time
  disk_capacity_alarm_rule_statistics = var.disk_capacity_alarm_rule_statistics
  disk_capacity_alarm_rule_threshold = var.disk_capacity_alarm_rule_threshold
  disk_capacity_enable_alarm_rule = var.disk_capacity_enable_alarm_rule
  disk_capacity_times = var.disk_capacity_times
  disk_size = var.disk_size
  disk_type = var.disk_type
  instance_message_input_alarm_rule_contact_groups = var.instance_message_input_alarm_rule_contact_groups
  instance_message_input_alarm_rule_effective_interval = var.instance_message_input_alarm_rule_effective_interval
  instance_message_input_alarm_rule_name = var.instance_message_input_alarm_rule_name
  instance_message_input_alarm_rule_operator = var.instance_message_input_alarm_rule_operator
  instance_message_input_alarm_rule_period = var.instance_message_input_alarm_rule_period
  instance_message_input_alarm_rule_silence_time = var.instance_message_input_alarm_rule_silence_time
  instance_message_input_alarm_rule_statistics = var.instance_message_input_alarm_rule_statistics
  instance_message_input_alarm_rule_threshold = var.instance_message_input_alarm_rule_threshold
  instance_message_input_enable_alarm_rule = var.instance_message_input_enable_alarm_rule
  instance_message_input_times = var.instance_message_input_times
  instance_message_output_alarm_rule_contact_groups = var.instance_message_output_alarm_rule_contact_groups
  instance_message_output_alarm_rule_effective_interval = var.instance_message_output_alarm_rule_effective_interval
  instance_message_output_alarm_rule_name = var.instance_message_output_alarm_rule_name
  instance_message_output_alarm_rule_operator = var.instance_message_output_alarm_rule_operator
  instance_message_output_alarm_rule_period = var.instance_message_output_alarm_rule_period
  instance_message_output_alarm_rule_silence_time = var.instance_message_output_alarm_rule_silence_time
  instance_message_output_alarm_rule_statistics = var.instance_message_output_alarm_rule_statistics
  instance_message_output_alarm_rule_threshold = var.instance_message_output_alarm_rule_threshold
  instance_message_output_enable_alarm_rule = var.instance_message_output_enable_alarm_rule
  instance_message_output_times = var.instance_message_output_times
  internet_max_bandwidth_out = var.internet_max_bandwidth_out
  io_max = var.io_max
  kafka_instance_name = var.kafka_instance_name
  topic_quota = var.topic_quota
  vswitch_id = var.vswitch_id
  zone_id = var.zone_id
}
